# automatically generated, don't edit
# Sun Jun  5 12:42:31 MDT 2016

RELEASE=4.2c
VERSION=

BIGLOOSVN=ssh://hop@hop.inria.fr/bigloo

HOSTOS=linux

RM=rm
MV=mv

LN_S=ln -s

INSTALLBEE=partial

BOOTDIR=/usr
BOOTBINDIR=/usr/bin
BOOTLIBDIR=/usr/lib/bigloo/4.2c

BGLBUILDBINDIR=/usr/bin
BGLBUILDLIBDIR=/usr/lib/bigloo/4.2c

BIGLOO=$(BGLBUILDBINDIR)/bigloo
BGLAFILE=$(BGLBUILDBINDIR)/bglafile
BGLJFILE=$(BGLBUILDBINDIR)/bgljfile
BGLTAGS=$(BGLBUILDBINDIR)/bgltags
BGLDEPEND=$(BGLBUILDBINDIR)/bgldepend
BGLMCO=$(BGLBUILDBINDIR)/bglmco
CIGLOO=$(BGLBUILDBINDIR)/cigloo

BPP_EXE=bglpp
BPROF_EXE=bglprof
MCO_EXE=bglmco
JAS_EXE=bgljas
BMEM_EXE=bglmem
BMEMRUN_EXE=bglmemrun
BDB_EXE=bgldb
BGLPKG_EXE=bglpkg

DESTDIR=
BINDIR=/usr/bin
LIBDIR=$(DESTDIR)/usr/lib
FILDIR=bigloo/4.2c
ZIPDIR=$(DESTDIR)/usr/lib/bigloo/4.2c
SYSZIPDIR=$(DESTDIR)/usr/lib/bigloo/4.2c
DLLDIR=$(DESTDIR)/usr/lib/bigloo/4.2c
SYSDLLDIR=$(DESTDIR)/usr/lib/bigloo/4.2c
RPATH=$(DESTDIR)/usr/lib/bigloo/4.2c
LIBPATH=$(DESTDIR)/usr/lib/bigloo/4.2c
MANDIR=$(DESTDIR)/usr/share/man/man1
INFODIR=$(DESTDIR)/usr/share/info
DOCDIR=$(DESTDIR)/usr/share/doc/bigloo
TMP=/tmp

NATIVEBACKEND=yes
NATIVE_MACHDEP=generic_mach_dep

LIBRARYNAME=bigloo

CC=gcc
CFLAGS=-O3 -march=armv5te -O2 -pipe -fstack-protector --param=ssp-buffer-size=4
CSTRIPFLAGS=-s
CPICFLAGS=-fPIC
CFLAGS_P=$(CFLAGS) -pg -fno-inline
CGCFLAGS=-DNO_DEBUGGING -Iinclude -Ilibatomic_ops-install/include -DATOMIC_UNCOLLECTABLE -DNO_EXECUTE_PERMISSION -DFINALIZE_ON_DEMAND  -I$(BOOTLIBDIR) $(CPICFLAGS)
EXTRALIBS=-ldl -lunistring -lresolv -lgmp -lpcre -lm
EXTRAGCLIBS=-lc
CLOSELIBS= # always empty, does not contain GC, override by makefiles

CUSTOMGC=gc-7.4.2
GCLIB=bigloogc
GCCUSTOM=yes
GCINCLUDE=-I$(BOOTDIR)/gc/$(CUSTOMGC)/include
GCCLOSELIB=-l$(GCLIB)-$(RELEASE)
GCSTDOBJ=

GMPCUSTOM=no
UNISTRINGCUSTOM=no
EXTRA_LD_OPT=-Wl,-O1,--sort-common,--as-needed,-z,relro  -Wl,--enable-new-dtags,-rpath=$(RPATH)
SHRD_COMP=no
SHRD_BDE_OPT=-static-bigloo
EXE_SUFFIX=
AS=gcc -c -x assembler-with-cpp

AR=ar
ARFLAGS=qc
RANLIB=ranlib
SHAREDLIBRARYSUPPORT=yes
SHAREDLIBRARYCLOSED=yes
LD=gcc -shared
LDRPATHOPT=-Wl,--enable-new-dtags,-rpath=
LDFLAGS=
LDLIBS=-lc
LDCOMPLIBS=-lc
LDPRELOADSUPPORT=yes
LDSONAME=-Wl,-soname
LDINSTALLNAME=
LDINSTALLNAMEDIRROOT=lib

SHAREDSUFFIX=so

DLOPENSUPPORT=yes

GCTHREADSUPPORT=yes
CGCTHREADFLAGS=-DGC_LINUX_THREADS -D_REENTRANT -DGC_THREADS -DNO_HANDLE_FORK -DTHREAD_LOCAL_ALLOC -DFINALIZE_ON_DEMAND -DPARALLEL_MARK -DUSE_COMPILER_TLS -DBGL_GC_THREADS
PTHREADLIBS=-lpthread
OPENSSLLIBS=-lssl -lcrypto
OPENSSLLIBSCFLAGS=-I.
SQLITELIBS=-lsqlite3
SQLITESRFI=sqlite
GSTREAMER=
GSTREAMERLIBS=
GSTREAMERFLAGS=
ALSA=yes
ALSALIBS=-lasound
ALSACFLAGS=-I/usr/include/alsa
MPG123=
MPG123LIBS=
MPG123FLAGS=
FLAC=
FLACLIBS=-lFLAC
AVAHI=yes
AVAHILIBS=-lavahi-common -lavahi-client
AVAHICFLAGS=-D_REENTRANT
LIBUV=yes
LIBUVLIBS=-luv
LIBUVCFLAGS=-I/build/bigloo/src/bigloo4.2c/libuv/libuv-1.x-24jan2015/include
LIBUV_LD_LIBRARY_PATH=/libuv/libuv-1.x-24jan2015/.libs
LIBUVCUSTOM=yes
LIBUVCUSTOMVERSION=1.x-24jan2015
PHIDGET=no
PHIDGETLIBS=
PHIDGETCFLAGS=
PHIDGETLIBDIR=
ENABLE_BGLPKG=no

STRIP=strip

EMACS=emacs
EMACSDIR=/usr/share/emacs/site-lisp/bigloo
EMACSBRAND=emacs24
EWARN=

BMASK=755
MODEXE=755
MODFILE=644
MODDIR=755

INSTALLINFO=""

JVMBACKEND=yes
JAVA=java
JAVA_VERSION=1.7
JFLAGS=
JVFLAGS=-noverify
JAVAC=javac
JCFLAGS=-O
ZIP=zip
ZFLAGS=
JAR=jar cfm
JSHELL=sh
JVMRECETTEBOOTPATH=-classpath ".:../lib/bigloo/4.2c/bigloo_s.zip:objs_jvm"
JVMAPIBOOTPATH=".:../../../../../lib/bigloo/4.2c/bigloo_s.zip"
CYGWINJVMPATH=
JVMCLASSPATHSEP=":"

BFLAGS=-O3 -fcfa-arithmetic -q -lib-dir $(BOOTLIBDIR)
BOOTFLAGS=
BFEATUREFLAGS=-srfi enable-unistring -srfi enable-resolv -srfi enable-gmp -srfi enable-pcre
LDSTRIPFLAGS=-ldopt -s

SCRIPTEXTENSION=
C_OBJ_EXTENSION=o

APIS=pthread fthread srfi18 ssl sqlite web multimedia mail calendar pkgcomp pkglib text srfi1 crypto openpgp csv upnp libuv alsa wav flac phone avahi srfi27 packrat
NOAPIS=

